cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
    },

    // called every frame
    update: function (dt) {

    },

    test () {
        var self = this;
        cc.loader.loadRes("cocos", cc.Prefab, function (err, parfab) {
            let testNode = cc.instantiate(parfab);
            // TODO：创建一个数据结构专门存这些需要手动清除的内存文件也可以
            self.Texturekey =  testNode.getComponent(cc.Sprite).spriteFrame._textureFilename;
            self.node.addChild(testNode);
            cc.textureCache.dumpCachedTextureInfo();
        });
    },

    destroyNode () {
        if (cc.find("Canvas/cocos")) {
            cc.find("Canvas/cocos").destroy();
        }
        cc.loader.releaseRes("cocos", cc.Prefab);
    },

    log () {
        cc.textureCache.removeTextureForKey(this.Texturekey);
        cc.textureCache.dumpCachedTextureInfo();
    },
});
